body {
    font-family: 'Times New Roman', serif;
    background-color: #f3f3f3;
    color: #333;
    margin: 0;
    padding: 20px;
    line-height: 1.6;
}

h1 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 50px;
}

#userInput {
    width: 100%;
    height: 70%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

textarea {
    width: 100%;
    height: 100px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    text-align: left;
    vertical-align: top;
    resize: none;
}

button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 15px;
    margin-right: 10px;
    border: 1px solid white;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

#savedInputs {
    margin-top: 20px;
    border-top: 2px solid #ccc;
    padding-top: 20px;
}

#savedInputs div {
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 4px;
}

#fileInput {
    margin-top: 20px;
}

.form-group {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}

.file-upload {
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.file-upload input[type="file"] {
    font-size: 100px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
}

.file-upload-button {
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 10px 15px;
    background-color: #4CAF50;
    color: white;
    cursor: pointer;
    font-size: 16px;
}

.file-upload-button:hover {
    background-color: #45a049;
}

#addButton {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    font-size: 24px;
    color: white;
    background-color: #4CAF50;
    border: 1px solid white;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
}

#colorButton {
    position: fixed;
    bottom: 82px;
    right: 30px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: 10px;
    color: white;
    background-color: #4CAF50;
    border: 1px solid white;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
}

#addButton:hover {
    background-color: #45a049;
}

.popup {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
    border: 1px solid white;
}

.popup-content {
    background: white;
    width: 700px;
    height: 700px;
    padding: 20px;
    border-radius: 5px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 1;
}

.reflection-popup-content {
    background: white;
    width: 300px;
    height: 500px;
    padding: 20px;
    border-radius: 5px;
    position: absolute;
    top: 50%;
    left: 23%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 1;
}

.close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    font-size: 30px;
    width: 40px;
    height: 40px;
    line-height: 40px;
    color: white;
    border: 1px solid white;
    background-color: #4CAF50;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.colorPopup {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
    border: 1px solid white;
}

.color-popup-content {
    background: white;
    width: 400px;
    height: 275px;
    padding: 20px;
    border-radius: 5px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

p{
    font-size: 30px;
}

.saved-input {
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 4px;
}

.input-text {
    white-space: pre-wrap;
}